Mapper.Context (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.mapper.Mapper.Context class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.mapper
Class Mapper.Context

    java.lang.Object
      org.apache.tomcat.util.http.mapper.Mapper.MapElement
          org.apache.tomcat.util.http.mapper.Mapper.Context

Enclosing class:
  Mapper

    protected static final class Mapper.Context

extends Mapper.MapElement

Field Summary
`Mapper.Wrapper` | `defaultWrapper`
`Mapper.Wrapper[]` | `exactWrappers`
`Mapper.Wrapper[]` | `extensionWrappers`
`int` | `nesting`
`java.lang.String` | `path`
`javax.naming.Context` | `resources`
`java.lang.String[]` | `welcomeResources`
`Mapper.Wrapper[]` | `wildcardWrappers`

Fields inherited from class org.apache.tomcat.util.http.mapper.Mapper.MapElement
`name, object`

Constructor Summary
`protected` | `Mapper.Context()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    public java.lang.String path

### welcomeResources

    public java.lang.String[] welcomeResources

### resources

    public javax.naming.Context resources

### defaultWrapper

    public Mapper.Wrapper defaultWrapper

### exactWrappers

    public Mapper.Wrapper[] exactWrappers

### wildcardWrappers

    public Mapper.Wrapper[] wildcardWrappers

### extensionWrappers

    public Mapper.Wrapper[] extensionWrappers

### nesting

    public int nesting

Constructor Detail

### Mapper.Context

    protected Mapper.Context()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.